%{?nodejs_find_provides_and_requires}

Name:       nodejs-merge-descriptors
Version:    1.0.0
Release:    1%{?dist}
Summary:    A Node.js module to merge objects using descriptors
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/component/merge-descriptors
Source0:    http://registry.npmjs.org/merge-descriptors/-/merge-descriptors-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/merge-descriptors
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/merge-descriptors

%nodejs_symlink_deps


%files
%doc README.md
%{nodejs_sitelib}/merge-descriptors


%changelog
* Thu Jun 18 2015 Tom Hughes <tom@compton.nu> - 1.0.0-1
- Update to 1.0.0 upstream release.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.2-1
- initial package
